---
operationId: "deleteNeonAuthDomainFromRedirectURIWhitelist"
method: "DELETE"
path: "/programs/{program_id}/auth/domains"
tag: "auth-legacy"
interfaces: ["api", "sdk"]
---
> API Reference / Legacy Auth / Delete trusted redirect URI domain

## DELETE /programs/{program_id}/auth/domains

DEPRECATED, use `/programs/{program_id}/frameworks/{framework_id}/auth/domains` instead. Deletes a domain from the redirect_uri whitelist for the specified program.


### Parameters

- `program_id` (string, path, required)
  The OptiTech program ID

### Request body

- `auth_provider` (string, required)
  Possible values: `mock`, `stack`, `better_auth`
- `domains` (array, required)
  - `domain` (string, required, format: uri)

### Response (200)

Deleted the domain from the redirect_uri whitelist

### Code examples

```bash
curl "https://api.optitech.com/v1/programs/$PROGRAM_ID/auth/domains" \
  -X DELETE \
  -H "Authorization: Bearer $OPTITECH_API_KEY"
```

```typescript
import { createOptiTechClient, raw } from '@optitech/sdk';

const optitech = createOptiTechClient({ apiKey: process.env.OPTITECH_API_KEY });
const { data } = await raw.deleteNeonAuthDomainFromRedirectUriWhitelist({
  client: optitech.client,
  path: {
    program_id: process.env.PROGRAM_ID
  }
});
```

### Errors

**default**
General Error.

The request may or may not be safe to retry, depending on the HTTP method, response status code,
and whether a response was received.

- If no response is returned from the API, a network error or timeout likely occurred.
- In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results.

The following HTTP methods are considered non-idempotent: `POST`, `PATCH`, `DELETE`, and `PUT`. Retrying these methods is generally **not safe**.
The following methods are considered idempotent: `GET`, `HEAD`, and `OPTIONS`. Retrying these methods is **safe** in the event of a network error or timeout.

Any request that returns a `503 Service Unavailable` response is always safe to retry.

Any request that returns a `423 Locked` response is safe to retry. `423 Locked` indicates that the resource is temporarily locked, for example, due to another operation in progress.

- `request_id` (string, optional)
  Unique identifier for the request, useful for debugging.
  You can set this value manually by including an `X-Request-ID` header in the request. If not provided, the value will be generated automatically.
  
- `code` (string, required)
  Default: ``
- `message` (string, required)
  Error message
